Bug 1126940 - Review Request: perl-JSON-Tiny - Minimalistic JSON. No dependencies
Summary: Review Request: perl-JSON-Tiny - Minimalistic JSON. No dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 15:59 UTC by Emmanuel Seyman
Modified: 2014-08-07 08:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 08:27:02 UTC
ddick: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2014-08-05 15:59:51 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-JSON-Tiny/perl-JSON-Tiny.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-JSON-Tiny/perl-JSON-Tiny-0.49-1.fc20.src.rpm
Description:
JSON::Tiny is a minimalistic standalone adaptation of Mojo::JSON, from the
Mojolicious framework. It is a single-source-file module with 350 lines of
code and core-only dependencies.

Fedora Account System Username: eseyman

Comment 1 David Dick 2014-08-06 09:57:18 UTC
Correct License is "ASL 2.0"

0.50 has been released in the last 24 hours.  Do you want to use that instead? I'm happy to review either version.

examples can be added to %doc

Following BRs should be added

BR: perl(B)
BR: perl(Carp)
BR: perl(Encode)
BR: perl(Exporter)
BR: perl(overload)
BR: perl(Scalar::Util)
BR: perl(strict)
BR: perl(utf8)
BR: perl(warnings)

If you are only building for f21 and higher, you can use NO_PACKLIST in "perl Makefile.PL" call.

Comment 2 Emmanuel Seyman 2014-08-06 10:36:52 UTC
(In reply to David Dick from comment #1)
>
> Correct License is "ASL 2.0"

One day, I'll get this right...

> 0.50 has been released in the last 24 hours.  Do you want to use that
> instead? I'm happy to review either version.

This seems preferable.

Spec URL: http://people.parinux.org/~seyman/fedora/perl-JSON-Tiny/perl-JSON-Tiny.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-JSON-Tiny/perl-JSON-Tiny-0.50-1.fc20.src.rpm

> examples can be added to %doc

Done.
 
> Following BRs should be added

Done.

> If you are only building for f21 and higher, you can use NO_PACKLIST in
> "perl Makefile.PL" call.

This will be built for f20 as well.

Comment 3 David Dick 2014-08-06 11:00:10 UTC
License is good.

Package builds in rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=7247400

rpmlint delivers only incorrect warnings about spelling

BRs and RunTime requires are correct

Package APPROVED

Comment 4 Emmanuel Seyman 2014-08-06 14:52:04 UTC
Thanks, David. Requesting SCM

New Package SCM Request
=======================
Package Name: perl-JSON-Tiny
Short Description: Minimalistic JSON. No dependencies
Upstream URL: http://search.cpan.org/dist/JSON-Tiny/
Owners: eseyman
Branches: f20 f21
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2014-08-06 18:48:14 UTC
Git done (by process-git-requests).

Comment 6 Emmanuel Seyman 2014-08-07 08:27:02 UTC
Built on all three branches, update released for F20.


Note You need to log in before you can comment on or make changes to this bug.